--
-- ### Selection checks
-- 
-- and basic table creation / retrieval
--

drop if exists table t1;
drop if exists table t2;
create table t1 ( a int, b string(30));
create table t2 ( c int, d string(30));

insert into t1 values ( 1, 'xxx');
insert into t1 values ( 2, 'yyy');
insert into t1 values ( 3, 'zzz');

insert into t2 values ( 1, 'xxx');
insert into t2 values ( 2, 'yyy');
insert into t2 values ( 3, 'zzz');


select tbl.* from t1 tbl;
select a, b from t1;
select a , b, c  from t1, t2 where t1.a = t2.c;
select a | b from t1;

drop table t1;
drop table t2;

